diff --git a/simscape-nano-hexapod.org b/simscape-nano-hexapod.org
index 099d53a..dfc2c2c 100644
--- a/simscape-nano-hexapod.org
+++ b/simscape-nano-hexapod.org
@@ -404,7 +404,7 @@ However, the development of the Nano Active Stabilization System (NASS) now requ
 To develop this model, the architecture of the active platform must first be determined.
 
 The selection of an appropriate architecture begins with a review of existing positioning stages that incorporate active platforms similar to NASS (Section ref:ssec:nhexa_sample_stages).
-This review reveals two distinctive features of the NASS that set it apart from existing systems: the fact that the active platform is continuously rotating and its requirement to accommodate high payload masses.
+This review reveals two distinctive features of the NASS that set it apart from existing systems: the fact that the active platform is continuously rotating and its requirement to accommodate variable payload masses.
 In existing systems, the sample mass is typically negligible compared to the stage mass, whereas in NASS, the sample mass significantly influences the system's dynamic behavior.
 
 These distinctive requirements drive the selection of the active platform architecture.
@@ -413,7 +413,7 @@ In Section ref:ssec:nhexa_active_platforms, different active platform configurat
 ** Sample Stages with Active Control
 <<ssec:nhexa_sample_stages>>
 
-The positioning of samples with respect to to X-ray beam, that can be focused to sizes below 100 nanometers, presents significant challenges, because mechanical positioning systems are typically limited to micron-scale accuracy.
+The positioning of samples with respect to X-ray beam, that can be focused to sizes below 100 nanometers, presents significant challenges, because mechanical positioning systems are typically limited to micron-scale accuracy.
 To overcome this limitation, external metrology systems have been implemented to measure sample positions with nanometer accuracy, enabling real-time feedback control for sample stabilization.
 
 A review of existing sample stages with active vibration control reveals various approaches to implementing such feedback systems.
@@ -538,7 +538,7 @@ It must accommodate payloads up to 50 kg while maintaining high dynamical perfor
 For light samples, the typical design strategy of maximizing actuator stiffness works well because resonance frequencies in the kilohertz range can be achieved, enabling control bandwidths up to 100 Hz.
 However, achieving such resonance frequencies with a 50 kg payload would require unrealistic stiffness values of approximately $2000\,N/\mu m$.
 This limitation necessitates alternative control approaches, and the High Authority Control/Low Authority Control (HAC-LAC) strategy is proposed to address this challenge.
-Consequently, the design must incorporate force sensors for active damping.
+To this purpose, the design includes force sensors for active damping.
 Compliant mechanisms must also be used to eliminate friction and backlash, which would otherwise compromise the nano-positioning capabilities.
 
 Two primary categories of positioning platform architectures are considered: serial and parallel mechanisms.
@@ -651,8 +651,8 @@ These theoretical foundations form the basis for subsequent design decisions and
 <<ssec:nhexa_stewart_platform_architecture>>
 
 The Stewart platform consists of two rigid platforms connected by six parallel struts (Figure ref:fig:nhexa_stewart_architecture).
-Each strut incorporates an active prismatic joint that allows for controlled length variation, with its ends attached to the fixed and mobile platforms through joints.
-The typical configuration consists of a universal joint at one end and a spherical joint at the other, providing the necessary degrees of freedom[fn:1].
+Each strut is modelled with an active prismatic joint that allows for controlled length variation, with its ends attached to the fixed and mobile platforms through joints.
+The typical configuration consists of a universal joint at one end and a spherical joint at the other, providing the necessary degrees of freedom[fn:nhexa_1].
 
 #+name: fig:nhexa_stewart_architecture
 #+caption: Schematical representation of the Stewart platform architecture.
@@ -679,10 +679,6 @@ This is summarized in Figure ref:fig:nhexa_stewart_notations.
 
 ** Kinematic Analysis
 <<ssec:nhexa_stewart_platform_kinematics>>
-**** Introduction                                                  :ignore:
-
-The kinematic analysis of the Stewart platform involves understanding the geometric relationships between the platform position/orientation and the actuator lengths without considering the forces involved.
-
 **** Loop Closure
 
 The foundation of the kinematic analysis lies in the geometric constraints imposed by each strut, which can be expressed using loop closure equations.
@@ -692,7 +688,7 @@ For each strut $i$ (illustrated in Figure ref:fig:nhexa_stewart_loop_closure), t
   {}^A\bm{P}_B = {}^A\bm{a}_i + l_i{}^A\hat{\bm{s}}_i - \underbrace{{}^B\bm{b}_i}_{{}^A\bm{R}_B {}^B\bm{b}_i} \quad \text{for } i=1 \text{ to } 6
 \end{equation}
 
-This equation links the pose variables ${}^A\bm{P}$ and ${}^A\bm{R}_B$, the position vectors describing the known geometry of the base and the moving platform, $\bm{a}_i$ and $\bm{b}_i$, and the strut vector $l_i {}^A\hat{\bm{s}}_i$:
+This equation links the pose[fn:nhexa_2] variables ${}^A\bm{P}$ and ${}^A\bm{R}_B$, the position vectors describing the known geometry of the base and the moving platform, $\bm{a}_i$ and $\bm{b}_i$, and the strut vector $l_i {}^A\hat{\bm{s}}_i$:
 
 #+name: fig:nhexa_stewart_loop_closure
 #+caption: Notations to compute the kinematic loop closure
@@ -729,11 +725,11 @@ This approximation, which is developed in subsequent sections through the Jacobi
 The Jacobian matrix plays a central role in analyzing the Stewart platform's behavior, providing a linear mapping between the platform and actuator velocities.
 While the previously derived kinematic relationships are essential for position analysis, the Jacobian enables velocity analysis and forms the foundation for both static and dynamic studies.
 
-**** Jacobian Computation - Velocity Loop Closure
+**** Jacobian Computation
 
 As discussed in Section ref:ssec:nhexa_stewart_platform_kinematics, the strut lengths $\bm{\mathcal{L}}$ and the platform pose $\bm{\mathcal{X}}$ are related through a system of nonlinear algebraic equations representing the kinematic constraints imposed by the struts.
 
-By taking the time derivative of the position loop close eqref:eq:nhexa_loop_closure, the /velocity loop closure/ is obtained eqref:eq:nhexa_loop_closure_velocity.
+By taking the time derivative of the position loop close eqref:eq:nhexa_loop_closure, equation eqref:eq:nhexa_loop_closure_velocity[fn:nhexa_3] is obtained.
 
 \begin{equation}\label{eq:nhexa_loop_closure_velocity}
   {}^A\bm{v}_p + {}^A \dot{\bm{R}}_B {}^B\bm{b}_i + {}^A\bm{R}_B \underbrace{{}^B\dot{\bm{b}_i}}_{=0} = \dot{l}_i {}^A\hat{\bm{s}}_i + l_i {}^A\dot{\hat{\bm{s}}}_i + \underbrace{{}^A\dot{\bm{a}}_i}_{=0}
@@ -791,10 +787,10 @@ While this approximation offers limited value for inverse kinematics, which can
 **** Range validity of the approximate inverse kinematics
 
 The accuracy of the Jacobian-based forward kinematics solution was estimated by a simple analysis.
-For a series of platform positions along the $x\text{-axis}$, the exact strut lengths are computed using the analytical inverse kinematics equation eqref:eq:nhexa_inverse_kinematics.
-These strut lengths are then used with the Jacobian to estimate the platform pose, from which the error between the estimated and true poses can be calculated.
+For a series of platform positions, the exact strut lengths are computed using the analytical inverse kinematics equation eqref:eq:nhexa_inverse_kinematics.
+These strut lengths are then used with the Jacobian to estimate the platform pose eqref:eq:nhexa_forward_kinematics_approximate, from which the error between the estimated and true poses can be calculated, both in terms of position $\epsilon_D$ and orientation $\epsilon_R$.
 
-The estimation errors in the $x$, $y$, and $z$ directions are shown in Figure ref:fig:nhexa_forward_kinematics_approximate_errors.
+For motion strokes from $1\,\mu m$ to $10\,mm$, the errors are estimated for all direction of motion, and the worst case errors are shown in Figure ref:fig:nhexa_forward_kinematics_approximate_errors.
 The results demonstrate that for displacements up to approximately $1\,\%$ of the hexapod's size (which corresponds to $100\,\mu m$ as the size of the Stewart platform is here $\approx 100\,mm$), the Jacobian approximation provides excellent accuracy.
 
 Since the maximum required stroke of the nano-hexapod ($\approx 100\,\mu m$) is three orders of magnitude smaller than its overall size ($\approx 100\,mm$), the Jacobian matrix can be considered constant throughout the workspace.
@@ -802,42 +798,63 @@ It can be computed once at the rest position and used for both forward and inver
 
 #+begin_src matlab
 %% Estimate the errors associated with approximate forward kinematics using the Jacobian matrix
-stewart = initializeSimplifiedNanoHexapod('H', 100e-3, 'MO_B', 0);
+stewart = initializeSimplifiedNanoHexapod('H', 100e-3);
 
-Xrs = logspace(-6, -1, 100); % Wanted X translation of the mobile platform [m]
+Xrs = logspace(-6, -1, 10); % Wanted X translation of the mobile platform [m]
+phis = linspace(-pi, pi, 100); % Tested azimutal angles [rad]
+thetas = linspace(0, pi, 100); % Tested polar angles [rad]
 
 % Compute the strut exact length for each X-position
-Ls_exact = zeros(6, length(Xrs));
+Xrs_errors = zeros(1, length(Xrs)); % Maximum distance error [m]
+Rrs_errors = zeros(1, length(Xrs)); % Maximum angular error [rad]
 for i = 1:length(Xrs)
-    [~, L_exact(:, i)] = inverseKinematics(stewart, 'AP', [Xrs(i); 0; 0]);
-end
-
-% From the strut length, compute the stewart pose using the Jacobian matrix
-Xrs_approx = zeros(6, length(Xrs));
-for i = 1:length(Xrs)
-    Xrs_approx(:, i) = inv(stewart.geometry.J)*L_exact(:, i);
+    Xrs_error_min = 0;
+    Rrs_error_min = 0;
+    for theta = thetas
+        for phi = phis
+            ix = [sin(theta)*cos(phi); sin(theta)*sin(phi);cos(theta)]; % Unit vector for the displacement direction
+            [~, L_exact] = inverseKinematics(stewart, 'AP', Xrs(i)*ix); % Compute exact strut length for the wanted position
+            Xrs_approx = inv(stewart.geometry.J)*L_exact; % Approximate the position using the Jacobian
+            Xrs_error = norm(Xrs(i)*ix - Xrs_approx(1:3), 2); % Compute the position estimation error
+            Rrs_error = norm(Xrs_approx(4:6), 2); % Compute the angular estimation error
+            if Xrs_error > Xrs_error_min
+                Xrs_error_min = Xrs_error;
+            end
+            if Rrs_error > Rrs_error_min
+                Rrs_error_min = Rrs_error;
+            end
+        end
+    end
+    Xrs_errors(i) = Xrs_error_min;
+    Rrs_errors(i) = Rrs_error_min;
 end
 #+end_src
 
 #+begin_src matlab :exports none :results none
 %% Errors associated with the use of the Jacobian matrix to solve the forward kinematic problem
 figure;
+yyaxis left
 hold on;
-plot(1e6*Xrs, 1e9*abs(Xrs - Xrs_approx(1, :)), 'DisplayName', '$\epsilon_x$');
-plot(1e6*Xrs, 1e9*abs(Xrs_approx(2, :)), 'DisplayName', '$\epsilon_y$');
-plot(1e6*Xrs, 1e9*abs(Xrs_approx(3, :)), 'DisplayName', '$\epsilon_z$');
-plot(1e6*Xrs, 1e6*Xrs, 'k--', 'DisplayName', '$0.1\%$ error');
+plot(1e6*Xrs, 1e9*Xrs_errors, 'DisplayName', '$\epsilon_D$');
+plot(1e6*Xrs, 1e6*Xrs, '--', 'DisplayName', '$0.1\%$ error');
 hold off;
 set(gca, 'XScale', 'log'); set(gca, 'YScale', 'log');
 leg = legend('location', 'northwest', 'FontSize', 8, 'NumColumns', 1);
 leg.ItemTokenSize(1) = 15;
 xlim([1, 1e4]); ylim([1, 1e4]);
-xlabel('$D_x$ motion');
+xlabel('Motion Stroke');
 ylabel('Kinematic Errors');
 xticks([1, 10, 100, 1000, 10000]);
 yticks([1, 10, 100, 1000, 10000]);
 xticklabels({'$1\mu m$', '$10\mu m$', '$100\mu m$', '$1mm$', '$10mm$'});
 yticklabels({'$1nm$', '$10nm$', '$100nm$', '$1\mu m$', '$10\mu m$'});
+
+yyaxis right
+plot(1e6*Xrs, 1e9*Rrs_errors, 'DisplayName', '$\epsilon_R$');
+set(gca, 'YScale', 'log');
+ylim([1, 1e4]);
+yticks([1, 10, 100, 1000, 10000]);
+yticklabels({'$1$nrad', '$10$nrad', '$100$nrad', '$1\mu$rad', '$10\mu$rad'});
 #+end_src
 
 #+begin_src matlab :tangle no :exports results :results file replace
@@ -845,7 +862,7 @@ exportFig('figs/nhexa_forward_kinematics_approximate_errors.pdf', 'width', 'wide
 #+end_src
 
 #+name: fig:nhexa_forward_kinematics_approximate_errors
-#+caption: Errors associated with the use of the Jacobian matrix to solve the forward kinematic problem. A Stewart platform with a height of $100\,mm$ was used to perform this analysis
+#+caption: Errors associated with the use of the Jacobian matrix to solve the forward kinematic problem. A Stewart platform with a height of $100\,mm$ was used to perform this analysis. $\epsilon_D$ corresponds to the distance between the true positioin and the estimated position. $\epsilon_R$ corresponds to the angular motion between the true orientation and the estimated orientation.
 #+RESULTS:
 [[file:figs/nhexa_forward_kinematics_approximate_errors.png]]
 
@@ -911,7 +928,7 @@ These relationships reveal that the overall platform stiffness and compliance ch
 - The geometric configuration embodied in the Jacobian matrix $\bm{J}$
 
 This geometric dependency means that the platform's stiffness varies throughout its workspace, as the Jacobian matrix changes with the platform's position and orientation.
-For the NASS application, where the workspace is small compared to the platform dimensions, these variations can be considered minimal.
+For the NASS application, where the workspace is small compared to the platform dimensions, these variations can be considered negligible.
 However, the initial geometric configuration significantly affects the overall stiffness characteristics.
 The relationship between maximum stroke and stiffness presents another important design consideration.
 As both parameters are influenced by the geometric configuration, their optimization involves inherent trade-offs that must be carefully balanced based on the application requirements.
@@ -920,7 +937,6 @@ The optimization of this configuration to achieve the desired stiffness while ha
 ** Dynamical Analysis
 <<ssec:nhexa_stewart_platform_dynamics>>
 
-The dynamic behavior of a Stewart platform can be analyzed using various approaches depending on the desired level of model fidelity.
 For initial analysis, a simplified representation of the system has been developed.
 This model assumes perfectly rigid bodies for both the platform and base, connected by massless struts through ideal joints that exhibit neither friction nor compliance.
 
@@ -992,7 +1008,7 @@ Through this multi-body modeling approach, each component model (including joint
 
 The analysis is structured as follows.
 First, the multi-body model is developed, and the geometric parameters, inertial properties, and actuator characteristics are established (Section ref:ssec:nhexa_model_def).
-The model was then validated through comparison with the analytical equations in a simplified configuration (Section ref:ssec:nhexa_model_validation).
+The model is then validated through comparison with the analytical equations in a simplified configuration (Section ref:ssec:nhexa_model_validation).
 Finally, the validated model is employed to analyze the nano-hexapod dynamics, from which insights for the control system design are derived (Section ref:ssec:nhexa_model_dynamics).
 
 ** Matlab Init                                              :noexport:ignore:
@@ -1220,7 +1236,7 @@ tiledlayout(3, 1, 'TileSpacing', 'Compact', 'Padding', 'None');
 ax1 = nexttile([2,1]);
 hold on;
 for i = 1:6
-plot(freqs, abs(squeeze(freqresp(G_simscape(i,1), freqs, 'Hz'))), 'color', [colors(i,:), 0.5], ...
+plot(freqs, abs(squeeze(freqresp(G_simscape(i,1), freqs, 'Hz'))), 'color', [colors(i,:), 0.5], 'linewidth', 2.5, ...
      'DisplayName', sprintf('$l_%i/f_1$ - Multi-Body', i))
 end
 for i = 1:6
@@ -1237,7 +1253,7 @@ leg.ItemTokenSize(1) = 15;
 ax2 = nexttile;
 hold on;
 for i = 1:6
-    plot(freqs, 180/pi*angle(squeeze(freqresp(G_simscape(i,1), freqs, 'Hz'))), 'color', [colors(i,:),0.5]);
+    plot(freqs, 180/pi*angle(squeeze(freqresp(G_simscape(i,1), freqs, 'Hz'))), 'color', [colors(i,:),0.5], 'linewidth', 2.5);
 end
 for i = 1:6
     plot(freqs, 180/pi*angle(squeeze(freqresp(G_analytical(i,1), freqs, 'Hz'))), '--', 'color', colors(i,:));
@@ -2171,6 +2187,7 @@ Lmimo = squeeze(freqresp(G_hac_struts*Khac, freqs, 'Hz'));
 for i_f = 2:length(freqs)
     Ldet(:, i_f) = eig(squeeze(Lmimo(:,:,i_f)));
 end
+mod_margin = min(min(abs(Ldet + ones(size(Ldet)))));
 
 figure;
 hold on;
@@ -2183,6 +2200,8 @@ plot(real(squeeze(Ldet(i,:))), -imag(squeeze(Ldet(i,:))), ...
         'HandleVisibility', 'off');
 end
 plot(-1, 0, 'kx', 'HandleVisibility', 'off');
+patch(-1 + mod_margin*cos([0:0.1:2*pi+0.1]), mod_margin*sin([0:0.1:2*pi+0.1]), colors(5,:), 'linestyle', '--', 'EdgeColor','black', 'FaceAlpha', 0.5, 'HandleVisibility', 'off');
+text(-1,0.1, 'Robustness', 'FontSize', 8, 'horizontalalignment', 'center')
 hold off;
 set(gca, 'XScale', 'lin'); set(gca, 'YScale', 'lin');
 xlabel('Real Part'); ylabel('Imaginary Part');
@@ -2196,12 +2215,16 @@ exportFig('figs/nhexa_decentralized_hac_iff_root_locus.pdf', 'width', 'half', 'h
 
 #+begin_src matlab :exports none :results none
 %% Loop gain for the Decentralized HAC_IFF
+i_fb = find(abs(squeeze(freqresp(G_hac_struts(1,1)*Khac(1,1), freqs, 'Hz')))<1, 1);
+
 figure;
 tiledlayout(3, 1, 'TileSpacing', 'compact', 'Padding', 'None');
 
 ax1 = nexttile([2,1]);
 hold on;
+patch([freqs(1:i_fb), freqs(i_fb), freqs(1)], [abs(squeeze(freqresp(G_hac_struts(1,1)*Khac(1,1), [freqs(1:i_fb)], 'Hz'))); 1; 1], colors(5,:), 'EdgeColor','none', 'FaceAlpha', 0.5)
 plot(freqs, abs(squeeze(freqresp(G_hac_struts(1,1)*Khac(1,1), freqs, 'Hz'))));
+text(1.2,2.5,{'Disturbance', 'rejection'}, 'FontSize', 8)
 hold off;
 set(gca, 'XScale', 'log'); set(gca, 'YScale', 'log');
 ylabel('Loop Gain'); set(gca, 'XTickLabel',[]);
@@ -2226,7 +2249,7 @@ exportFig('figs/nhexa_decentralized_hac_iff_loop_gain.pdf', 'width', 'half', 'he
 #+end_src
 
 #+name: fig:nhexa_decentralized_hac_iff_results
-#+caption: Decentralized HAC-IFF
+#+caption: Decentralized HAC-IFF. Loop gain (\subref{fig:nhexa_decentralized_hac_iff_loop_gain}) is used for the design of the controller and to estimate the disturbance rejection performances. Characteristic Loci (\subref{fig:nhexa_decentralized_hac_iff_root_locus}) is used to verify the stability and robustness of the feedback loop.
 #+attr_latex: :options [htbp]
 #+begin_figure
 #+attr_latex: :caption \subcaption{\label{fig:nhexa_decentralized_hac_iff_loop_gain}Loop Gain}
@@ -2469,10 +2492,10 @@ function [nano_hexapod] = initializeSimplifiedNanoHexapod(args)
         args.H    (1,1) double {mustBeNumeric, mustBePositive} = 95e-3 % Height of the nano-hexapod [m]
         args.MO_B (1,1) double {mustBeNumeric} = 150e-3  % Height of {B} w.r.t. {M} [m]
         %% generateGeneralConfiguration
-        args.FH  (1,1) double {mustBeNumeric, mustBePositive} = 15e-3 % Height of fixed joints [m]
+        args.FH  (1,1) double {mustBeNumeric, mustBeNonnegative} = 15e-3 % Height of fixed joints [m]
         args.FR  (1,1) double {mustBeNumeric, mustBePositive} = 120e-3 % Radius of fixed joints [m]
         args.FTh (6,1) double {mustBeNumeric} = [220, 320, 340, 80, 100, 200]*(pi/180) % Angles of fixed joints [rad]
-        args.MH  (1,1) double {mustBeNumeric, mustBePositive} = 15e-3 % Height of mobile joints [m]
+        args.MH  (1,1) double {mustBeNumeric, mustBeNonnegative} = 15e-3 % Height of mobile joints [m]
         args.MR  (1,1) double {mustBeNumeric, mustBePositive} = 110e-3 % Radius of mobile joints [m]
         args.MTh (6,1) double {mustBeNumeric} = [255, 285, 15, 45, 135, 165]*(pi/180) % Angles of fixed joints [rad]
         %% Actuators
@@ -2713,10 +2736,10 @@ function [stewart] = generateGeneralConfiguration(stewart, args)
 
     arguments
         stewart
-        args.FH  (1,1) double {mustBeNumeric, mustBePositive} = 15e-3
+        args.FH  (1,1) double {mustBeNumeric, mustBeNonnegative} = 15e-3
         args.FR  (1,1) double {mustBeNumeric, mustBePositive} = 115e-3;
         args.FTh (6,1) double {mustBeNumeric} = [-10, 10, 120-10, 120+10, 240-10, 240+10]*(pi/180);
-        args.MH  (1,1) double {mustBeNumeric, mustBePositive} = 15e-3
+        args.MH  (1,1) double {mustBeNumeric, mustBeNonnegative} = 15e-3
         args.MR  (1,1) double {mustBeNumeric, mustBePositive} = 90e-3;
         args.MTh (6,1) double {mustBeNumeric} = [-60+10, 60-10, 60+10, 180-10, 180+10, -60-10]*(pi/180);
     end
@@ -3718,6 +3741,69 @@ if isfield(stewart.kinematics, 'C')
 end
 #+end_src
 
+*** =generateCubicConfiguration=: Generate a Cubic Configuration
+#+begin_src matlab :tangle matlab/src/generateCubicConfiguration.m :comments none :mkdirp yes :eval no
+function [stewart] = generateCubicConfiguration(stewart, args)
+% generateCubicConfiguration - Generate a Cubic Configuration
+%
+% Syntax: [stewart] = generateCubicConfiguration(stewart, args)
+%
+% Inputs:
+%    - stewart - A structure with the following fields
+%        - geometry.H [1x1] - Total height of the platform [m]
+%    - args - Can have the following fields:
+%        - Hc  [1x1] - Height of the "useful" part of the cube [m]
+%        - FOc [1x1] - Height of the center of the cube with respect to {F} [m]
+%        - FHa [1x1] - Height of the plane joining the points ai with respect to the frame {F} [m]
+%        - MHb [1x1] - Height of the plane joining the points bi with respect to the frame {M} [m]
+%
+% Outputs:
+
+%    - stewart - updated Stewart structure with the added fields:
+%        - platform_F.Fa  [3x6] - Its i'th column is the position vector of joint ai with respect to {F}
+%        - platform_M.Mb  [3x6] - Its i'th column is the position vector of joint bi with respect to {M}
+
+arguments
+    stewart
+    args.Hc  (1,1) double {mustBeNumeric, mustBePositive} = 60e-3
+    args.FOc (1,1) double {mustBeNumeric} = 50e-3
+    args.FHa (1,1) double {mustBeNumeric, mustBeNonnegative} = 15e-3
+    args.MHb (1,1) double {mustBeNumeric, mustBeNonnegative} = 15e-3
+end
+
+assert(isfield(stewart.geometry, 'H'),   'stewart.geometry should have attribute H')
+H = stewart.geometry.H;
+
+% We define the useful points of the cube with respect to the Cube's center.
+% ${}^{C}C$ are the 6 vertices of the cubes expressed in a frame {C} which is located at the center of the cube and aligned with {F} and {M}.
+
+sx = [ 2; -1; -1];
+sy = [ 0;  1; -1];
+sz = [ 1;  1;  1];
+
+R = [sx, sy, sz]./vecnorm([sx, sy, sz]);
+
+L = args.Hc*sqrt(3);
+
+Cc = R'*[[0;0;L],[L;0;L],[L;0;0],[L;L;0],[0;L;0],[0;L;L]] - [0;0;1.5*args.Hc];
+
+CCf = [Cc(:,1), Cc(:,3), Cc(:,3), Cc(:,5), Cc(:,5), Cc(:,1)]; % CCf(:,i) corresponds to the bottom cube's vertice corresponding to the i'th leg
+CCm = [Cc(:,2), Cc(:,2), Cc(:,4), Cc(:,4), Cc(:,6), Cc(:,6)]; % CCm(:,i) corresponds to the top cube's vertice corresponding to the i'th leg
+
+% We can compute the vector of each leg ${}^{C}\hat{\bm{s}}_{i}$ (unit vector from ${}^{C}C_{f}$ to ${}^{C}C_{m}$).
+
+CSi = (CCm - CCf)./vecnorm(CCm - CCf);
+
+% We now which to compute the position of the joints $a_{i}$ and $b_{i}$.
+Fa = CCf + [0; 0; args.FOc] + ((args.FHa-(args.FOc-args.Hc/2))./CSi(3,:)).*CSi;
+Mb = CCf + [0; 0; args.FOc-H] + ((H-args.MHb-(args.FOc-args.Hc/2))./CSi(3,:)).*CSi;
+
+stewart.platform_F.Fa = Fa;
+stewart.platform_M.Mb = Mb;
+#+end_src
+
 * Footnotes
 
-[fn:1]Different architecture exists, typically referred as "6-SPS" (Spherical, Prismatic, Spherical) or "6-UPS" (Universal, Prismatic, Spherical)
+[fn:nhexa_3]Such equation is called the /velocity loop closure/
+[fn:nhexa_2]The /pose/ represents the position and orientation of an object
+[fn:nhexa_1]Different architecture exists, typically referred as "6-SPS" (Spherical, Prismatic, Spherical) or "6-UPS" (Universal, Prismatic, Spherical)
